While parsing .\mame.ini:
Illegal integer value for inpview: ""; reverting to 


<?xml version="1.0"?>
<!DOCTYPE mame [
<!ELEMENT mame (game+)>
	<!ATTLIST mame build CDATA #IMPLIED>
	<!ATTLIST mame debug (yes|no) "no">
	<!ATTLIST mame mameconfig CDATA #REQUIRED>
	<!ELEMENT game (description, year?, manufacturer?, biosset*, rom*, disk*, device_ref*, sample*, chip*, display*, sound?, input?, dipswitch*, configuration*, adjuster*, driver?, device*, slot*, softwarelist*, ramoption*)>
		<!ATTLIST game name CDATA #REQUIRED>
		<!ATTLIST game sourcefile CDATA #IMPLIED>
		<!ATTLIST game isbios (yes|no) "no">
		<!ATTLIST game isdevice (yes|no) "no">
		<!ATTLIST game ismechanical (yes|no) "no">
		<!ATTLIST game runnable (yes|no) "yes">
		<!ATTLIST game cloneof CDATA #IMPLIED>
		<!ATTLIST game romof CDATA #IMPLIED>
		<!ATTLIST game sampleof CDATA #IMPLIED>
		<!ELEMENT description (#PCDATA)>
		<!ELEMENT year (#PCDATA)>
		<!ELEMENT manufacturer (#PCDATA)>
		<!ELEMENT biosset EMPTY>
			<!ATTLIST biosset name CDATA #REQUIRED>
			<!ATTLIST biosset description CDATA #REQUIRED>
			<!ATTLIST biosset default (yes|no) "no">
		<!ELEMENT rom EMPTY>
			<!ATTLIST rom name CDATA #REQUIRED>
			<!ATTLIST rom bios CDATA #IMPLIED>
			<!ATTLIST rom size CDATA #REQUIRED>
			<!ATTLIST rom crc CDATA #IMPLIED>
			<!ATTLIST rom sha1 CDATA #IMPLIED>
			<!ATTLIST rom merge CDATA #IMPLIED>
			<!ATTLIST rom region CDATA #IMPLIED>
			<!ATTLIST rom offset CDATA #IMPLIED>
			<!ATTLIST rom status (baddump|nodump|good) "good">
			<!ATTLIST rom optional (yes|no) "no">
		<!ELEMENT disk EMPTY>
			<!ATTLIST disk name CDATA #REQUIRED>
			<!ATTLIST disk sha1 CDATA #IMPLIED>
			<!ATTLIST disk merge CDATA #IMPLIED>
			<!ATTLIST disk region CDATA #IMPLIED>
			<!ATTLIST disk index CDATA #IMPLIED>
			<!ATTLIST disk writable (yes|no) "no">
			<!ATTLIST disk status (baddump|nodump|good) "good">
			<!ATTLIST disk optional (yes|no) "no">
		<!ELEMENT device_ref EMPTY>
			<!ATTLIST device_ref name CDATA #REQUIRED>
		<!ELEMENT sample EMPTY>
			<!ATTLIST sample name CDATA #REQUIRED>
		<!ELEMENT chip EMPTY>
			<!ATTLIST chip name CDATA #REQUIRED>
			<!ATTLIST chip tag CDATA #IMPLIED>
			<!ATTLIST chip type (cpu|audio) #REQUIRED>
			<!ATTLIST chip clock CDATA #IMPLIED>
		<!ELEMENT display EMPTY>
			<!ATTLIST display tag CDATA #IMPLIED>
			<!ATTLIST display type (raster|vector|lcd|unknown) #REQUIRED>
			<!ATTLIST display rotate (0|90|180|270) #REQUIRED>
			<!ATTLIST display flipx (yes|no) "no">
			<!ATTLIST display width CDATA #IMPLIED>
			<!ATTLIST display height CDATA #IMPLIED>
			<!ATTLIST display refresh CDATA #REQUIRED>
			<!ATTLIST display pixclock CDATA #IMPLIED>
			<!ATTLIST display htotal CDATA #IMPLIED>
			<!ATTLIST display hbend CDATA #IMPLIED>
			<!ATTLIST display hbstart CDATA #IMPLIED>
			<!ATTLIST display vtotal CDATA #IMPLIED>
			<!ATTLIST display vbend CDATA #IMPLIED>
			<!ATTLIST display vbstart CDATA #IMPLIED>
		<!ELEMENT sound EMPTY>
			<!ATTLIST sound channels CDATA #REQUIRED>
		<!ELEMENT input (control*)>
			<!ATTLIST input service (yes|no) "no">
			<!ATTLIST input tilt (yes|no) "no">
			<!ATTLIST input players CDATA #REQUIRED>
			<!ATTLIST input buttons CDATA #IMPLIED>
			<!ATTLIST input coins CDATA #IMPLIED>
			<!ELEMENT control EMPTY>
				<!ATTLIST control type CDATA #REQUIRED>
				<!ATTLIST control minimum CDATA #IMPLIED>
				<!ATTLIST control maximum CDATA #IMPLIED>
				<!ATTLIST control sensitivity CDATA #IMPLIED>
				<!ATTLIST control keydelta CDATA #IMPLIED>
				<!ATTLIST control reverse (yes|no) "no">
				<!ATTLIST control ways CDATA #IMPLIED>
				<!ATTLIST control ways2 CDATA #IMPLIED>
				<!ATTLIST control ways3 CDATA #IMPLIED>
		<!ELEMENT dipswitch (dipvalue*)>
			<!ATTLIST dipswitch name CDATA #REQUIRED>
			<!ATTLIST dipswitch tag CDATA #REQUIRED>
			<!ATTLIST dipswitch mask CDATA #REQUIRED>
			<!ELEMENT dipvalue EMPTY>
				<!ATTLIST dipvalue name CDATA #REQUIRED>
				<!ATTLIST dipvalue value CDATA #REQUIRED>
				<!ATTLIST dipvalue default (yes|no) "no">
		<!ELEMENT configuration (confsetting*)>
			<!ATTLIST configuration name CDATA #REQUIRED>
			<!ATTLIST configuration tag CDATA #REQUIRED>
			<!ATTLIST configuration mask CDATA #REQUIRED>
			<!ELEMENT confsetting EMPTY>
				<!ATTLIST confsetting name CDATA #REQUIRED>
				<!ATTLIST confsetting value CDATA #REQUIRED>
				<!ATTLIST confsetting default (yes|no) "no">
		<!ELEMENT port (portbit*)>
			<!ATTLIST port tag CDATA #REQUIRED>
			<!ELEMENT analog EMPTY>
				<!ATTLIST analog mask CDATA #REQUIRED>
		<!ELEMENT adjuster EMPTY>
			<!ATTLIST adjuster name CDATA #REQUIRED>
			<!ATTLIST adjuster default CDATA #REQUIRED>
		<!ELEMENT driver EMPTY>
			<!ATTLIST driver status (good|imperfect|preliminary) #REQUIRED>
			<!ATTLIST driver emulation (good|imperfect|preliminary) #REQUIRED>
			<!ATTLIST driver color (good|imperfect|preliminary) #REQUIRED>
			<!ATTLIST driver sound (good|imperfect|preliminary) #REQUIRED>
			<!ATTLIST driver graphic (good|imperfect|preliminary) #REQUIRED>
			<!ATTLIST driver cocktail (good|imperfect|preliminary) #IMPLIED>
			<!ATTLIST driver protection (good|imperfect|preliminary) #IMPLIED>
			<!ATTLIST driver savestate (supported|unsupported) #REQUIRED>
			<!ATTLIST driver palettesize CDATA #REQUIRED>
		<!ELEMENT device (instance*, extension*)>
			<!ATTLIST device type CDATA #REQUIRED>
			<!ATTLIST device tag CDATA #IMPLIED>
			<!ATTLIST device mandatory CDATA #IMPLIED>
			<!ATTLIST device interface CDATA #IMPLIED>
			<!ELEMENT instance EMPTY>
				<!ATTLIST instance name CDATA #REQUIRED>
				<!ATTLIST instance briefname CDATA #REQUIRED>
			<!ELEMENT extension EMPTY>
				<!ATTLIST extension name CDATA #REQUIRED>
		<!ELEMENT slot (slotoption*)>
			<!ATTLIST slot name CDATA #REQUIRED>
			<!ELEMENT slotoption EMPTY>
				<!ATTLIST slotoption name CDATA #REQUIRED>
				<!ATTLIST slotoption devname CDATA #REQUIRED>
				<!ATTLIST slotoption default (yes|no) "no">
		<!ELEMENT softwarelist EMPTY>
			<!ATTLIST softwarelist name CDATA #REQUIRED>
			<!ATTLIST softwarelist status (original|compatible) #REQUIRED>
			<!ATTLIST softwarelist filter CDATA #IMPLIED>
		<!ELEMENT ramoption (#PCDATA)>
			<!ATTLIST ramoption default CDATA #IMPLIED>
]>

<mame build="0.151[W] (Nov  6 2013)" debug="no" mameconfig="10">
	<game name="biomtoy" sourcefile="gaelco.c">
		<description>Biomechanical Toy (Ver. 1.0.1885)</description>
		<year>1995</year>
		<manufacturer>Gaelco</manufacturer>
		<rom name="d18" size="524288" crc="4569ce64" sha1="96557aca55779c23f7c2c11fddc618823c04ead0" region="maincpu" offset="0"/>
		<rom name="d16" size="524288" crc="739449bd" sha1="711a8ea5081f15dea6067577516c9296239c4145" region="maincpu" offset="1"/>
		<rom name="h6" size="524288" crc="9416a729" sha1="425149b3041554579791fc23c09fda6be054e89d" region="gfx1" offset="40000"/>
		<rom name="j6" size="524288" crc="e923728b" sha1="113eac1de73c74ef7c9d3e2e72599a1ff775176d" region="gfx1" offset="0"/>
		<rom name="h7" size="524288" crc="9c984d7b" sha1="98d43a9c3fa93c9ea55f41475ecab6ca25713087" region="gfx1" offset="140000"/>
		<rom name="j7" size="524288" crc="0e18fac2" sha1="acb0a3699395a6c68cacdeadda42a785aa4020f5" region="gfx1" offset="100000"/>
		<rom name="h9" size="524288" crc="8c1f6718" sha1="9377e838ebb1e16d24072b9b4ed278408d7a808f" region="gfx1" offset="240000"/>
		<rom name="j9" size="524288" crc="1c93f050" sha1="fabeffa05dae7a83a199a57022bd318d6ad02c4d" region="gfx1" offset="200000"/>
		<rom name="h10" size="524288" crc="aca1702b" sha1="6b36b230722270dbfc2f69bd7eb07b9e718db089" region="gfx1" offset="340000"/>
		<rom name="j10" size="524288" crc="8e3e96cc" sha1="761009f3f32b18139e98f20a22c433b6a49d9168" region="gfx1" offset="300000"/>
		<rom name="c1" size="524288" crc="0f02de7e" sha1="a8779370cc36290616794ff11eb3eebfdea5b1a9" region="oki" offset="0"/>
		<rom name="c3" size="524288" crc="914e4bbc" sha1="ca82b7481621a119f05992ed093b963da70d748a" region="oki" offset="c0000"/>
		<device_ref name="m68000"/>
		<device_ref name="screen"/>
		<device_ref name="speaker"/>
		<device_ref name="okim6295"/>
		<chip type="cpu" tag="maincpu" name="M68000" clock="12000000"/>
		<chip type="audio" tag="mono" name="Speaker"/>
		<chip type="audio" tag="oki" name="OKI6295" clock="1056000"/>
		<display tag="screen" type="raster" rotate="0" width="320" height="240" refresh="60.000000" />
		<sound channels="1"/>
		<input players="2" buttons="2" coins="2">
			<control type="joy" ways="8"/>
		</input>
		<dipswitch name="Coin A" tag="DSW1" mask="15">
			<dipvalue name="4 Coins/1 Credit" value="7"/>
			<dipvalue name="3 Coins/1 Credit" value="8"/>
			<dipvalue name="2 Coins/1 Credit" value="9"/>
			<dipvalue name="1 Coin/1 Credit" value="15" default="yes"/>
			<dipvalue name="2 Coins/3 Credits" value="6"/>
			<dipvalue name="1 Coin/2 Credits" value="14"/>
			<dipvalue name="1 Coin/3 Credits" value="13"/>
			<dipvalue name="1 Coin/4 Credits" value="12"/>
			<dipvalue name="1 Coin/5 Credits" value="11"/>
			<dipvalue name="1 Coin/6 Credits" value="10"/>
			<dipvalue name="Free Play (if Coin B too)" value="0"/>
		</dipswitch>
		<dipswitch name="Coin B" tag="DSW1" mask="240">
			<dipvalue name="4 Coins/1 Credit" value="112"/>
			<dipvalue name="3 Coins/1 Credit" value="128"/>
			<dipvalue name="2 Coins/1 Credit" value="144"/>
			<dipvalue name="1 Coin/1 Credit" value="240" default="yes"/>
			<dipvalue name="2 Coins/3 Credits" value="96"/>
			<dipvalue name="1 Coin/2 Credits" value="224"/>
			<dipvalue name="1 Coin/3 Credits" value="208"/>
			<dipvalue name="1 Coin/4 Credits" value="192"/>
			<dipvalue name="1 Coin/5 Credits" value="176"/>
			<dipvalue name="1 Coin/6 Credits" value="160"/>
			<dipvalue name="Free Play (if Coin A too)" value="0"/>
		</dipswitch>
		<dipswitch name="Service Mode" tag="DSW2" mask="1">
			<dipvalue name="Off" value="1" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Unknown" tag="DSW2" mask="2">
			<dipvalue name="Off" value="2" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Unknown" tag="DSW2" mask="4">
			<dipvalue name="Off" value="4"/>
			<dipvalue name="On" value="0" default="yes"/>
		</dipswitch>
		<dipswitch name="Demo Sounds" tag="DSW2" mask="8">
			<dipvalue name="Off" value="0"/>
			<dipvalue name="On" value="8" default="yes"/>
		</dipswitch>
		<dipswitch name="Lives" tag="DSW2" mask="48">
			<dipvalue name="0" value="32"/>
			<dipvalue name="1" value="16"/>
			<dipvalue name="2" value="48" default="yes"/>
			<dipvalue name="3" value="0"/>
		</dipswitch>
		<dipswitch name="Difficulty" tag="DSW2" mask="192">
			<dipvalue name="Easy" value="64"/>
			<dipvalue name="Normal" value="192" default="yes"/>
			<dipvalue name="Hard" value="128"/>
			<dipvalue name="Hardest" value="0"/>
		</dipswitch>
		<port tag=":DSW1">
		</port>
		<port tag=":P1">
		</port>
		<port tag=":P2">
		</port>
		<port tag=":DSW2">
		</port>
		<driver status="good" emulation="good" color="good" sound="good" graphic="good" savestate="supported" palettesize="1024"/>
	</game>
	<game name="gunsmoke" sourcefile="gunsmoke.c">
		<description>Gun.Smoke (World)</description>
		<year>1985</year>
		<manufacturer>Capcom</manufacturer>
		<rom name="09n_gs03.bin" size="32768" crc="40a06cef" sha1="3e2a52d476298b7252f0adaefdb42090351e921c" region="maincpu" offset="0"/>
		<rom name="10n_gs04.bin" size="32768" crc="8d4b423f" sha1="149274c2ed1526ca1f419fdf8a24059ff138f7f2" region="maincpu" offset="10000"/>
		<rom name="12n_gs05.bin" size="32768" crc="2b5667fb" sha1="5b689bca1e76d803b4cae22feaa7744fa528e93f" region="maincpu" offset="18000"/>
		<rom name="14h_gs02.bin" size="32768" crc="cd7a2c38" sha1="c76c471f694b76015370f0eacf5350e652f526ff" region="audiocpu" offset="0"/>
		<rom name="11f_gs01.bin" size="16384" crc="b61ece9b" sha1="eb3fc62644cc5b5a2b9cbe67c393d4a0e2a59ca9" region="gfx1" offset="0"/>
		<rom name="06c_gs13.bin" size="32768" crc="f6769fc5" sha1="d192ec176425327ca4b7e25fc8432fc47837ba29" region="gfx2" offset="0"/>
		<rom name="05c_gs12.bin" size="32768" crc="d997b78c" sha1="3b4a9b6f9e57ecfb4ab9734379bd0ee765fd6daa" region="gfx2" offset="8000"/>
		<rom name="04c_gs11.bin" size="32768" crc="125ba58e" sha1="cf6931653cebd051564bed8121ab8713a55095c5" region="gfx2" offset="10000"/>
		<rom name="02c_gs10.bin" size="32768" crc="f469c13c" sha1="54eda52d6fce58771c0adfe2c88292a41d5a9b99" region="gfx2" offset="18000"/>
		<rom name="06a_gs09.bin" size="32768" crc="539f182d" sha1="4190c0adbecc57b92f4d002e121acb77e8c5d8d8" region="gfx2" offset="20000"/>
		<rom name="05a_gs08.bin" size="32768" crc="e87e526d" sha1="d10068addf30322424a85bbc6382cb762ae3fbe2" region="gfx2" offset="28000"/>
		<rom name="04a_gs07.bin" size="32768" crc="4382c0d2" sha1="8615e62bc57b40d082f6ca211d64f22185bed1fd" region="gfx2" offset="30000"/>
		<rom name="02a_gs06.bin" size="32768" crc="4cafe7a6" sha1="fe501f3a5e9ce9e82e9708f1cd297f4c94ef0f81" region="gfx2" offset="38000"/>
		<rom name="06n_gs22.bin" size="32768" crc="dc9c508c" sha1="920505dd4c63b177918feb4e54cca8a7948ec9d9" region="gfx3" offset="0"/>
		<rom name="04n_gs21.bin" size="32768" crc="68883749" sha1="c7bf2bf49c53feddf8f30b4001dc2d59b52b1c28" region="gfx3" offset="8000"/>
		<rom name="03n_gs20.bin" size="32768" crc="0be932ed" sha1="1c5af5884a23112dbc36579515d1cb497992da2f" region="gfx3" offset="10000"/>
		<rom name="01n_gs19.bin" size="32768" crc="63072f93" sha1="cb3a2729782cf2855558d081fe92d28366228b8e" region="gfx3" offset="18000"/>
		<rom name="06l_gs18.bin" size="32768" crc="f69a3c7c" sha1="e9eb9dfa7d53aa7b728150f91d05bfc3bf6f1e75" region="gfx3" offset="20000"/>
		<rom name="04l_gs17.bin" size="32768" crc="4e98562a" sha1="0341b8a79be1d71a57d0d76ed890e15f9f92259e" region="gfx3" offset="28000"/>
		<rom name="03l_gs16.bin" size="32768" crc="0d99c3b3" sha1="436c566b76f632242448671e3b6319f7d9f65322" region="gfx3" offset="30000"/>
		<rom name="01l_gs15.bin" size="32768" crc="7f14270e" sha1="dd06c333c2ea097e25185a1423cd61e1b7afc42b" region="gfx3" offset="38000"/>
		<rom name="11c_gs14.bin" size="32768" crc="0af4f7eb" sha1="24a98fdeedeeaf1035b4af52d5a8dd5e47a5e62d" region="gfx4" offset="0"/>
		<rom name="03b_g-01.bin" size="256" crc="02f55589" sha1="8a3f98304aedf3aba1c08b615bf457752a480edc" region="proms" offset="0"/>
		<rom name="04b_g-02.bin" size="256" crc="e1e36dd9" sha1="5bd88a35898a2d973045bdde8311aac3a12826de" region="proms" offset="100"/>
		<rom name="05b_g-03.bin" size="256" crc="989399c0" sha1="e408e391f49ed0c7b9e16479fea44b809440fefc" region="proms" offset="200"/>
		<rom name="09d_g-04.bin" size="256" crc="906612b5" sha1="7b727a6200c088538180758320ede84aa7e5b96d" region="proms" offset="300"/>
		<rom name="14a_g-06.bin" size="256" crc="4a9da18b" sha1="fed3b81b56aab2ed0a21ed1fcebe3f1ae095a13b" region="proms" offset="400"/>
		<rom name="15a_g-07.bin" size="256" crc="cb9394fc" sha1="8ad0fde6a8ef8326d2da4b6dbf3b51f5f6c668c8" region="proms" offset="500"/>
		<rom name="09f_g-09.bin" size="256" crc="3cee181e" sha1="3f95bdb12391cb9b3673191bda8d09c84b36b4d3" region="proms" offset="600"/>
		<rom name="08f_g-08.bin" size="256" crc="ef91cdd2" sha1="90b9191c9f10a153d64055a4238eb6e15b8c12bc" region="proms" offset="700"/>
		<rom name="02j_g-10.bin" size="256" crc="0eaf5158" sha1="bafd4108708f66cd7b280e47152b108f3e254fc9" region="proms" offset="800"/>
		<rom name="01f_g-05.bin" size="256" crc="25c90c2a" sha1="42893572bab757ec01e181fc418cb911638d37e0" region="proms" offset="900"/>
		<device_ref name="z80"/>
		<device_ref name="z80"/>
		<device_ref name="screen"/>
		<device_ref name="speaker"/>
		<device_ref name="ym2203"/>
		<device_ref name="ym2203"/>
		<chip type="cpu" tag="maincpu" name="Z80" clock="4000000"/>
		<chip type="cpu" tag="audiocpu" name="Z80" clock="3000000"/>
		<chip type="audio" tag="mono" name="Speaker"/>
		<chip type="audio" tag="ym1" name="YM2203" clock="1500000"/>
		<chip type="audio" tag="ym2" name="YM2203" clock="1500000"/>
		<display tag="screen" type="raster" rotate="270" width="256" height="224" refresh="60.000000" />
		<sound channels="1"/>
		<input players="2" buttons="3" coins="2">
			<control type="joy" ways="8"/>
		</input>
		<dipswitch name="Bonus Life" tag="DSW1" mask="3">
			<dipvalue name="30K 80K 80K+" value="1"/>
			<dipvalue name="30K 100K 100K+" value="3" default="yes"/>
			<dipvalue name="30K 100K 150K+" value="0"/>
			<dipvalue name="30K 100K" value="2"/>
		</dipswitch>
		<dipswitch name="Demo" tag="DSW1" mask="4">
			<dipvalue name="Off" value="0"/>
			<dipvalue name="On" value="4" default="yes"/>
		</dipswitch>
		<dipswitch name="Cabinet" tag="DSW1" mask="8">
			<dipvalue name="Upright" value="0" default="yes"/>
			<dipvalue name="Cocktail" value="8"/>
		</dipswitch>
		<dipswitch name="Difficulty" tag="DSW1" mask="48">
			<dipvalue name="Easy" value="32"/>
			<dipvalue name="Normal" value="48" default="yes"/>
			<dipvalue name="Difficult" value="16"/>
			<dipvalue name="Very Difficult" value="0"/>
		</dipswitch>
		<dipswitch name="Freeze" tag="DSW1" mask="64">
			<dipvalue name="Off" value="64" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Service Mode" tag="DSW1" mask="128">
			<dipvalue name="Off" value="128" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Coin B" tag="DSW2" mask="7">
			<dipvalue name="4 Coins/1 Credit" value="0"/>
			<dipvalue name="3 Coins/1 Credit" value="1"/>
			<dipvalue name="2 Coins/1 Credit" value="2"/>
			<dipvalue name="1 Coin/1 Credit" value="7" default="yes"/>
			<dipvalue name="1 Coin/2 Credits" value="6"/>
			<dipvalue name="1 Coin/3 Credits" value="5"/>
			<dipvalue name="1 Coin/4 Credits" value="4"/>
			<dipvalue name="1 Coin/6 Credits" value="3"/>
		</dipswitch>
		<dipswitch name="Coin A" tag="DSW2" mask="56">
			<dipvalue name="4 Coins/1 Credit" value="0"/>
			<dipvalue name="3 Coins/1 Credit" value="8"/>
			<dipvalue name="2 Coins/1 Credit" value="16"/>
			<dipvalue name="1 Coin/1 Credit" value="56" default="yes"/>
			<dipvalue name="1 Coin/2 Credits" value="48"/>
			<dipvalue name="1 Coin/3 Credits" value="40"/>
			<dipvalue name="1 Coin/4 Credits" value="32"/>
			<dipvalue name="1 Coin/6 Credits" value="24"/>
		</dipswitch>
		<dipswitch name="Allow Continue" tag="DSW2" mask="64">
			<dipvalue name="No" value="0"/>
			<dipvalue name="Yes" value="64" default="yes"/>
		</dipswitch>
		<dipswitch name="Demo Sounds" tag="DSW2" mask="128">
			<dipvalue name="Off" value="0"/>
			<dipvalue name="On" value="128" default="yes"/>
		</dipswitch>
		<port tag=":SYSTEM">
		</port>
		<port tag=":P1">
		</port>
		<port tag=":P2">
		</port>
		<port tag=":DSW1">
		</port>
		<port tag=":DSW2">
		</port>
		<driver status="good" emulation="good" color="good" sound="good" graphic="good" savestate="supported" palettesize="640"/>
	</game>
	<game name="kungfum" sourcefile="m62.c">
		<description>Kung-Fu Master (World)</description>
		<year>1984</year>
		<manufacturer>Irem</manufacturer>
		<rom name="a-4e-c.bin" size="16384" crc="b6e2d083" sha1="17e2cfe2b9d6121239803aba7132918e54ae02bf" region="maincpu" offset="0"/>
		<rom name="a-4d-c.bin" size="16384" crc="7532918e" sha1="9d513d5a3b99cc54c4491371cd44af048ef0fb33" region="maincpu" offset="4000"/>
		<rom name="a-3e-.bin" size="8192" crc="58e87ab0" sha1="3b03c101fec58eac13fc309a78df9a2cd44f7604" region="iremsound" offset="a000"/>
		<rom name="a-3f-.bin" size="8192" crc="c81e31ea" sha1="f0fc58b929188c8802cd85549bdf9f4566e6a677" region="iremsound" offset="c000"/>
		<rom name="a-3h-.bin" size="8192" crc="d99fb995" sha1="caa6acdbc3b02d248fd123be95ea6fdcb4f35b59" region="iremsound" offset="e000"/>
		<rom name="g-4c-a.bin" size="8192" crc="6b2cc9c8" sha1="ba7c902d08c21a1e33f450406bfbfa35abde3b3f" region="gfx1" offset="0"/>
		<rom name="g-4d-a.bin" size="8192" crc="c648f558" sha1="7cc085d8dc4a770d2828e39859b7b18e80148a00" region="gfx1" offset="2000"/>
		<rom name="g-4e-a.bin" size="8192" crc="fbe9276e" sha1="84181c8da79e2c92af04aef3ab5d23f70969dad8" region="gfx1" offset="4000"/>
		<rom name="b-4k-.bin" size="8192" crc="16fb5150" sha1="a49faf617f948d3ccec2bc6ef97bd399f0958f65" region="gfx2" offset="0"/>
		<rom name="b-4f-.bin" size="8192" crc="67745a33" sha1="fcc642fb1b932676c84c1a0901b989673c57c0e5" region="gfx2" offset="2000"/>
		<rom name="b-4l-.bin" size="8192" crc="bd1c2261" sha1="7155789a01801a9e1a55d4e68c94a3a3ee7d1b2e" region="gfx2" offset="4000"/>
		<rom name="b-4h-.bin" size="8192" crc="8ac5ed3a" sha1="9c88e8c82420428b43923cdee7eb4504882bec69" region="gfx2" offset="6000"/>
		<rom name="b-3n-.bin" size="8192" crc="28a213aa" sha1="0d6d668490bdf4394bc9fed2f3cdc72f2fea46f9" region="gfx2" offset="8000"/>
		<rom name="b-4n-.bin" size="8192" crc="d5228df3" sha1="836c4f95f873fbf07f9bec63a72c20a14651117c" region="gfx2" offset="a000"/>
		<rom name="b-4m-.bin" size="8192" crc="b16de4f2" sha1="512260e76c9cd21b8add771de53fbd27c2719213" region="gfx2" offset="c000"/>
		<rom name="b-3m-.bin" size="8192" crc="eba0d66b" sha1="028f82fc1853b86a3201b24871f41091c3e0b542" region="gfx2" offset="e000"/>
		<rom name="b-4c-.bin" size="8192" crc="01298885" sha1="d4edf5fe707c5b7231ba72b731b96120064a7ecd" region="gfx2" offset="10000"/>
		<rom name="b-4e-.bin" size="8192" crc="c77b87d4" sha1="c0f66f0130f6a290a58a3d77bba1d06f16016901" region="gfx2" offset="12000"/>
		<rom name="b-4d-.bin" size="8192" crc="6a70615f" sha1="f4683dc0a566567e95e85268612bcf0e6297d955" region="gfx2" offset="14000"/>
		<rom name="b-4a-.bin" size="8192" crc="6189d626" sha1="ce8e5e95c2684c685481e9c8d921380b20ac0460" region="gfx2" offset="16000"/>
		<rom name="g-1j-.bin" size="256" crc="668e6bca" sha1="cd5262b1310821ba7b12873e4db35f081d6b9df4" region="proms" offset="0"/>
		<rom name="b-1m-.bin" size="256" crc="76c05a9c" sha1="1f46f436a17f8c883bdd6d9804b828a81a76f880" region="proms" offset="100"/>
		<rom name="g-1f-.bin" size="256" crc="964b6495" sha1="76f30a65a0ded14babad2006221aa40621fb7ea1" region="proms" offset="200"/>
		<rom name="b-1n-.bin" size="256" crc="23f06b99" sha1="6b3d6349f019aeab33838ae392bc3f3f89906326" region="proms" offset="300"/>
		<rom name="g-1h-.bin" size="256" crc="550563e1" sha1="11edb45acba8b28a462c49956ebb1ba0a8b2ff26" region="proms" offset="400"/>
		<rom name="b-1l-.bin" size="256" crc="35e45021" sha1="511b94507f41b377f38184ed9a85f34949b28d26" region="proms" offset="500"/>
		<rom name="b-5f-.bin" size="32" crc="7a601c3d" sha1="5c5cdf51b2c9fdb2b05402d9c260208ae73fe245" region="proms" offset="600"/>
		<rom name="b-6f-.bin" size="256" crc="82c20d12" sha1="268903f7d9be58a70d030b02bf31a2d6b5b6e249" region="proms" offset="620"/>
		<device_ref name="z80"/>
		<device_ref name="screen"/>
		<device_ref name="m6803"/>
		<device_ref name="speaker"/>
		<device_ref name="irem_audio"/>
		<device_ref name="ay8910"/>
		<device_ref name="ay8910"/>
		<device_ref name="msm5205"/>
		<device_ref name="msm5205"/>
		<chip type="cpu" tag="maincpu" name="Z80" clock="3072000"/>
		<chip type="cpu" tag="iremsound" name="M6803" clock="3579545"/>
		<chip type="audio" tag="mono" name="Speaker"/>
		<chip type="audio" tag="irem_audio" name="Irem Audio"/>
		<chip type="audio" tag="ay1" name="AY-3-8910A" clock="894886"/>
		<chip type="audio" tag="ay2" name="AY-3-8910A" clock="894886"/>
		<chip type="audio" tag="msm1" name="MSM5205" clock="384000"/>
		<chip type="audio" tag="msm2" name="MSM5205" clock="384000"/>
		<display tag="screen" type="raster" rotate="0" width="256" height="256" refresh="55.000000" />
		<sound channels="1"/>
		<input players="2" buttons="2" coins="2">
			<control type="joy" ways="8"/>
		</input>
		<dipswitch name="Flip Screen" tag="DSW2" mask="1">
			<dipvalue name="Off" value="1" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Cabinet" tag="DSW2" mask="2">
			<dipvalue name="Upright" value="0" default="yes"/>
			<dipvalue name="Cocktail" value="2"/>
		</dipswitch>
		<dipswitch name="Coin Mode" tag="DSW2" mask="4">
			<dipvalue name="Mode 1" value="4" default="yes"/>
			<dipvalue name="Mode 2" value="0"/>
		</dipswitch>
		<dipswitch name="Slow Motion Mode (Cheat)" tag="DSW2" mask="8">
			<dipvalue name="Off" value="8" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Freeze (Cheat)" tag="DSW2" mask="16">
			<dipvalue name="Off" value="16" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Level Selection Mode (Cheat)" tag="DSW2" mask="32">
			<dipvalue name="Off" value="32" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Invulnerability (Cheat)" tag="DSW2" mask="64">
			<dipvalue name="Off" value="64" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Service Mode" tag="DSW2" mask="128">
			<dipvalue name="Off" value="128" default="yes"/>
			<dipvalue name="On" value="0"/>
		</dipswitch>
		<dipswitch name="Difficulty" tag="DSW1" mask="1">
			<dipvalue name="Easy" value="1" default="yes"/>
			<dipvalue name="Hard" value="0"/>
		</dipswitch>
		<dipswitch name="Energy Loss" tag="DSW1" mask="2">
			<dipvalue name="Slow" value="2" default="yes"/>
			<dipvalue name="Fast" value="0"/>
		</dipswitch>
		<dipswitch name="Lives" tag="DSW1" mask="12">
			<dipvalue name="2" value="8"/>
			<dipvalue name="3" value="12" default="yes"/>
			<dipvalue name="4" value="4"/>
			<dipvalue name="5" value="0"/>
		</dipswitch>
		<dipswitch name="Coin A" tag="DSW1" mask="48">
			<dipvalue name="3 Coins/1 Credit" value="16"/>
			<dipvalue name="2 Coins/1 Credit" value="32"/>
			<dipvalue name="1 Coin/1 Credit" value="48" default="yes"/>
			<dipvalue name="Free Play" value="0"/>
		</dipswitch>
		<dipswitch name="Coin B" tag="DSW1" mask="192">
			<dipvalue name="1 Coin/2 Credits" value="192" default="yes"/>
			<dipvalue name="1 Coin/3 Credits" value="128"/>
			<dipvalue name="1 Coin/5 Credits" value="64"/>
			<dipvalue name="1 Coin/6 Credits" value="0"/>
		</dipswitch>
		<dipswitch name="Coinage" tag="DSW1" mask="240">
			<dipvalue name="7 Coins/1 Credit" value="144"/>
			<dipvalue name="6 Coins/1 Credit" value="160"/>
			<dipvalue name="5 Coins/1 Credit" value="176"/>
			<dipvalue name="4 Coins/1 Credit" value="192"/>
			<dipvalue name="3 Coins/1 Credit" value="208"/>
			<dipvalue name="2 Coins/1 Credit" value="224"/>
			<dipvalue name="1 Coin/1 Credit" value="240" default="yes"/>
			<dipvalue name="1 Coin/2 Credits" value="112"/>
			<dipvalue name="1 Coin/3 Credits" value="96"/>
			<dipvalue name="1 Coin/4 Credits" value="80"/>
			<dipvalue name="1 Coin/5 Credits" value="64"/>
			<dipvalue name="1 Coin/6 Credits" value="48"/>
			<dipvalue name="1 Coin/7 Credits" value="32"/>
			<dipvalue name="1 Coin/8 Credits" value="16"/>
			<dipvalue name="Free Play" value="0"/>
		</dipswitch>
		<port tag=":SYSTEM">
		</port>
		<port tag=":P1">
		</port>
		<port tag=":P2">
		</port>
		<port tag=":DSW2">
		</port>
		<port tag=":DSW1">
		</port>
		<driver status="good" emulation="good" color="good" sound="good" graphic="good" savestate="supported" palettesize="512"/>
	</game>


W/hile>